﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{A87A4D1E-B935-482D-A8B7-9C1170F43B54}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Toyota.Web.Service.Wrapper</RootNamespace>
    <AssemblyName>SecurityCenterServiceWrapper</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="common-util">
      <HintPath>lib\common-util.dll</HintPath>
    </Reference>
    <Reference Include="common-web-service">
      <HintPath>lib\common-web-service.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.DirectoryServices" />
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.ServiceModel" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Credential\AuthorizationDetail.cs" />
    <Compile Include="Credential\IUserAuthenticator.cs" />
    <Compile Include="Credential\IUserProvider.cs" />
    <Compile Include="Credential\Position.cs" />
    <Compile Include="Credential\PositionDetail.cs" />
    <Compile Include="Credential\RetrievalCategory.cs" />
    <Compile Include="Credential\RetrievalGroup.cs" />
    <Compile Include="Credential\Role.cs" />
    <Compile Include="Credential\RoleDetail.cs" />
    <Compile Include="Credential\User.cs" />
    <Compile Include="Credential\UserAD.cs" />
    <Compile Include="MVC\SelectableDataModel.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="SecurityCenterServiceClient.cs" />
    <Compile Include="Service References\SecurityCenter\Reference.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Reference.svcmap</DependentUpon>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <WCFMetadata Include="Service References\" />
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
    <None Include="Service References\SecurityCenter\SecurityCenter.wsdl" />
    <None Include="Service References\SecurityCenter\SecurityCenter.xsd">
      <SubType>Designer</SubType>
    </None>
    <None Include="Service References\SecurityCenter\SecurityCenter1.wsdl" />
    <None Include="Service References\SecurityCenter\SecurityCenter1.xsd">
      <SubType>Designer</SubType>
    </None>
    <None Include="Service References\SecurityCenter\SecurityCenter2.xsd">
      <SubType>Designer</SubType>
    </None>
  </ItemGroup>
  <ItemGroup>
    <WCFMetadataStorage Include="Service References\SecurityCenter\" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Service References\SecurityCenter\configuration91.svcinfo" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Service References\SecurityCenter\configuration.svcinfo" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Service References\SecurityCenter\Reference.svcmap">
      <Generator>WCF Proxy Generator</Generator>
      <LastGenOutput>Reference.cs</LastGenOutput>
    </None>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>